import { select, json, geoPath, geoAlbersUsa } from 'd3';
import { feature } from 'topojson';

// Selects the SVG from the HTML.
const svg = select('svg');
csv('https://gist.githubusercontent.com/amarsree26/22f760f9e6b1b783b63c548e16e6a27f/raw/01225d4704d1646514be5598dca791b6a4f034f1/pregnancies_bp_diabetics.csv').then(data => {
  body
    .append('pre1')
      .text([
        `${data.length} rows`,
        `${Object.keys(data[0]).length} columns`,
        `${kilobytes(data)} KB`
      ].join(', '));
  
  body
    .append('pre1')
      .text('First 10 rows:');
  
  body
    .append('pre1')
      .text(JSON.stringify(data.slice(0, 10), null, 2));
});
